Bug 1460148 - dependency on criu broken for s390x
dependency on criu broken for s390x
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: runc (Show other bugs)
rawhide
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2017-06-09 05:09 EDT by Dan Horák
Modified: 2017-07-31 16:20 EDT (History)
9 users (show)

See Also:
Fixed In Version: runc-1.0.1-1.gitc5ec254.fc26 runc-1.0.1-1.gitc5ec254.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-31 12:20:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 156919 None None None 2017-07-23 05:23 EDT

  None (edit)
Description Dan Horák 2017-06-09 05:09:04 EDT
Currently runc can't be installed on s390x, because there is a hard dependency on criu which doesn't exist for s390x (yet?)

Error: conflicting requests
  - nothing provides criu needed by runc-1:1.0.0-7.git6394544.fc27.1.s390x
(try to add '--allowerasing' to command line to replace conflicting packages)

But if I read the runc code right, then it should affect only the checkpoint and restore functionality. Can't we just skip the dependency on s390x?

eg. with
diff --git a/runc.spec b/runc.spec
index 1b948f2..2133e6e 100644
--- a/runc.spec
+++ b/runc.spec
@@ -70,7 +70,9 @@ BuildRequires: golang(github.com/vishvananda/netlink)
 BuildRequires: golang(github.com/vishvananda/netlink/nl)
 %endif
 
+%ifnarch s390x
 Requires: criu
+%endif
 
 %description
 The runc command can be used to start containers which are packaged



Version-Release number of selected component (if applicable):
runc-1:1.0.0-7.git6394544.fc27.1.s390x
Comment 1 Lokesh Mandvekar 2017-06-26 10:23:24 EDT
Hi Dan, do you know if Recommends: criu will work instaead? I can send you a scratch build to test this if needed.

Seems like this bug exists for i686 as well.
Comment 2 Dan Horák 2017-06-26 12:23:08 EDT
Hi Lokesh, after reading https://fedoraproject.org/wiki/Packaging:WeakDependencies I think "Recommends: criu" should be used in general for runc as criu is a non-mandatory dependency, but should not be used to "skip" the missing criu on eg. s390x (even weak deps should be resolvable in the repos).

See bug 1456513 for the enterprise view on a similar problem, but I would still add the %ifarch guard.
Comment 3 Fedora Update System 2017-06-26 19:19:37 EDT
runc-1.0.0-9.git6394544.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-354fc34a7c
Comment 4 Fedora Update System 2017-07-20 12:09:34 EDT
runc-1.0.1-1.gitc5ec254.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-20cdb2063a
Comment 5 Fedora Update System 2017-07-20 12:09:59 EDT
runc-1.0.1-1.gitc5ec254.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-41ae78baf9
Comment 6 Fedora Update System 2017-07-23 02:55:54 EDT
runc-1.0.1-1.gitc5ec254.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-20cdb2063a
Comment 7 Fedora Update System 2017-07-23 05:57:54 EDT
runc-1.0.1-1.gitc5ec254.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-41ae78baf9
Comment 8 Fedora Update System 2017-07-31 12:20:31 EDT
runc-1.0.1-1.gitc5ec254.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-07-31 16:20:13 EDT
runc-1.0.1-1.gitc5ec254.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.